配置scikit-image中遇到的问题

wwwen 56 2022-11-08

最近有图像处理的课程,老师要求安装这个环境
以为一句pip install scikit-image就能完成的事情,网上的教程也大多这样
但是这样安装上去并运行官网的示例,会报错如下

报错1


仔细把官网的Guide看了以下,发现安装之后,有一些依赖还需要安装,关键是他放在特别后面的位置,简直无语了。。。

https://scikit-image.org/
屏幕截图 2022-11-07 234652

由于不是自己编译出来的构建,就不安装Buid所要求的东西了,新建一个 requirements.txt文件然后把官网要求的依赖一股脑都扔进去

numpy>=1.17.0
scipy>=1.4.1
networkx>=2.2
pillow>=6.1.0,!=7.1.0,!=7.1.1,!=8.3.0
imageio>=2.4.1
tifffile>=2019.7.26
PyWavelets>=1.1.1
packaging>=20.0
asv
codecov
flake8
matplotlib>=3.0.3
pooch>=1.3.0
pytest>=5.2.0
pytest-cov>=2.7.0
pytest-localserver
pytest-faulthandler

保存后,运行pip install -r requirements.txt安装所有依赖。

最后,运行成功。。。浪费了一晚上时间。。。

运行成功